Groovy Documentation

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticTypesTypeChooser

    java.lang.Object
      org.codehaus.groovy.classgen.asm.StatementMetaTypeChooser
          org.codehaus.groovy.classgen.asm.sc.StaticTypesTypeChooser

    public class StaticTypesTypeChooser
    extends StatementMetaTypeChooser

A TypeChooser which reads type information from node metadata generated by the CompileStatic annotation.

Authors:
  Cedric Champeau

Method Summary
`ClassNode` | `resolveType(Expression exp, ClassNode current)`

Methods inherited from class StatementMetaTypeChooser
resolveType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### resolveType

    @Override
    public ClassNode resolveType(Expression exp, ClassNode current)

Groovy Documentation